Subject: guix refresh: Error downloading release information through the GitHub API

From: Alexandru-Sergiu Marton <[email-masked]>
Date: Fri, 24 Jul 2020 11:04:11 +0300

Hi,

I tried running `guix refresh` and it gave me this error (after
correctly reporting around 100 packages to be updated):

--8<---------------cut here---------------start------------->8---
Backtrace:
          12 (primitive-load "/home/brown/.config/guix/current/bin/g…")
In guix/ui.scm:
  1974:12 11 (run-guix-command _ . _)
In ice-9/boot-9.scm:
  1736:10 10 (with-exception-handler _ _ #:unwind? _ # _)
  1731:15  9 (with-exception-handler #<procedure 7f4cf1f528a0 at ic…> …)
  1736:10  8 (with-exception-handler _ _ #:unwind? _ # _)
In guix/store.scm:
   631:22  7 (thunk)
  2025:24  6 (run-with-store #<store-connection 256.99 7f4cfa5606e0> …)
In guix/scripts/refresh.scm:
   559:14  5 (_ _)
In srfi/srfi-1.scm:
    634:9  4 (for-each #<procedure 7f4cf8c43f80 at guix/scripts/ref…> …)
In guix/scripts/refresh.scm:
    362:2  3 (check-for-package-update #<package [email-masked]…> …)
In guix/import/github.scm:
   211:12  2 (latest-release _)
In ice-9/boot-9.scm:
  1669:16  1 (raise-exception _ #:continuable? _)
  1669:16  0 (raise-exception _ #:continuable? _)

ice-9/boot-9.scm:1669:16: In procedure raise-exception:
Error downloading release information through the GitHub
API when using a GitHub token
--8<---------------cut here---------------end--------------->8---

I have the GUIX_GITHUB_TOKEN environment variable set.

I'm on commit e4d341fa74d005cc3cd1437a1908ba1993d54d5b.

Cheers,
Sergiu